Bug 463839 - [LTC 6.0 FEAT] 201450:SBLIM JSR48 CIM Client (a.k.a. SBLIM CIM Client v2)
[LTC 6.0 FEAT] 201450:SBLIM JSR48 CIM Client (a.k.a. SBLIM CIM Client v2)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: RHEL Product and Program Management
Ben Levenson
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-24 16:50 EDT by IBM Bug Proxy
Modified: 2010-11-10 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version: sblim-cim-client2-2.0.9.2-1.fc12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:07:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 16:50:35 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:53 EDT
1. Feature Overview:
Feature Id:	[201450]
a. Name of Feature:	SBLIM JSR48 CIM Client (a.k.a. SBLIM CIM Client v2)
b. Feature Description
The SBLIM JSR48 CIM Client is a Java Class Library based on the Java Specification Request 48 which
can be used for the development of applications which need to communicate to a CIM server via the
CIM Operations over HTTP protocol. It's available from the SBLIM project at
http://sourceforge.net/projects/sblim.

Additional Comments:	Upstream package name is  sblim-cim-client2 . On 9/16/2008, the current release
is 2.0.8.

2. Feature Details:
Sponsor:	LTC Systems Mgt
Architectures:
x86
x86_64
ppc64
s390 native
s390 compat
s390x

Arch Specificity: Purely Common Code
Delivery Mechanism: Direct from community
Category:	Systems management
Request Type:	Package - Feature from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.0.7 or later

3. Business Case
The package implements a standardized API and is the logical follow-on to the SBLIM CIM Client,
which is in maintenance mode but is used in various IBM projects like IBM Director and Tivoli TPC.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Sarah Wright, sarahw@us.ibm.com, 503-578-5145

Technical contact(s):

Dave Blaschke, blaschke@us.ibm.com

IBM Manager:
Jeffrey Heroux, heroux@us.ibm.com
Comment 1 IBM Bug Proxy 2009-02-27 16:30:38 EST
The minimum version (2.0.7) mentioned in this bug is now two releases behind the current version (2.0.9).  Please take the current version if at all possible in order to include all the latest fixes, it was released in December 2008.  All versions can be downloaded here:

http://sourceforge.net/project/showfiles.php?group_id=128809&package_id=264934
Comment 2 Vitezslav Crhonek 2009-06-04 07:26:58 EDT
Fedora Review Request:
https://bugzilla.redhat.com/show_bug.cgi?id=503939
Comment 3 IBM Bug Proxy 2009-07-06 13:01:38 EDT
------- Comment From sglass@us.ibm.com 2009-07-06 12:54 EDT-------
Version 2.0.9.2 will work better with the plan version of OpenPegasus 2.9 for RHEL 6.  Please use that version.
Comment 7 IBM Bug Proxy 2010-05-24 13:21:13 EDT
------- Comment From blaschke@us.ibm.com 2010-05-24 13:19 EDT-------
Found sblim-cim-client2-2.0.9.2-1.el6.noarch.rpm
Comment 8 IBM Bug Proxy 2010-05-25 20:40:38 EDT
------- Comment From blaschke@us.ibm.com 2010-05-25 20:36 EDT-------
FVT of 2.0.9.2 jar executed 100% (2235/2235)
Comment 9 Alexander Todorov 2010-08-21 07:16:34 EDT
[root@ibm-x3950m2-02 6]# pwd
/mnt/redhat/rel-eng/RHEL6.0-20100818.0/6

[root@ibm-x3950m2-02 6]# find -name "sblim-cim-client2*"
./Server/i386/os/Packages/sblim-cim-client2-2.1.3-1.el6.noarch.rpm
./Server/source/SRPMS/sblim-cim-client2-2.1.3-1.el6.src.rpm
./Server/optional/i386/os/Packages/sblim-cim-client2-javadoc-2.1.3-1.el6.noarch.rpm
./Server/optional/i386/os/Packages/sblim-cim-client2-manual-2.1.3-1.el6.noarch.rpm
./Server/optional/s390x/os/Packages/sblim-cim-client2-javadoc-2.1.3-1.el6.noarch.rpm
./Server/optional/s390x/os/Packages/sblim-cim-client2-manual-2.1.3-1.el6.noarch.rpm
./Server/optional/x86_64/os/Packages/sblim-cim-client2-javadoc-2.1.3-1.el6.noarch.rpm
./Server/optional/x86_64/os/Packages/sblim-cim-client2-manual-2.1.3-1.el6.noarch.rpm
./Server/optional/ppc64/os/Packages/sblim-cim-client2-javadoc-2.1.3-1.el6.noarch.rpm
./Server/optional/ppc64/os/Packages/sblim-cim-client2-manual-2.1.3-1.el6.noarch.rpm
./Server/s390x/os/Packages/sblim-cim-client2-2.1.3-1.el6.noarch.rpm
./Server/ppc64/os/Packages/sblim-cim-client2-2.1.3-1.el6.noarch.rpm
./Server/x86_64/os/Packages/sblim-cim-client2-2.1.3-1.el6.noarch.rpm
./Workstation/i386/os/Packages/sblim-cim-client2-2.1.3-1.el6.noarch.rpm
./Workstation/source/SRPMS/sblim-cim-client2-2.1.3-1.el6.src.rpm
./Workstation/optional/i386/os/Packages/sblim-cim-client2-javadoc-2.1.3-1.el6.noarch.rpm
./Workstation/optional/i386/os/Packages/sblim-cim-client2-manual-2.1.3-1.el6.noarch.rpm
./Workstation/optional/x86_64/os/Packages/sblim-cim-client2-javadoc-2.1.3-1.el6.noarch.rpm
./Workstation/optional/x86_64/os/Packages/sblim-cim-client2-manual-2.1.3-1.el6.noarch.rpm
./Workstation/x86_64/os/Packages/sblim-cim-client2-2.1.3-1.el6.noarch.rpm
./source/SRPMS/sblim-cim-client2-2.1.3-1.el6.src.rpm


See also previous comments. Moving to VERIFIED.
Comment 10 releng-rhel@redhat.com 2010-11-10 17:07:31 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.